<?php 
/* 
Template Name: Frontpage 1 Template
*/
?>
<?php get_header(); ?>
<?php get_template_part('navi'); ?>
<?php get_template_part('showcase'); ?>
<?php get_template_part('home-widgets'); ?>

<div id="content">

<?php 
$wp_query = new WP_Query(array('orderby'=>'post_date','order'=>'desc','posts_per_page'=>'10','paged' => get_query_var('paged')));
while ($wp_query->have_posts()) : $wp_query->the_post(); ?>
         
        <div class="frontpage1-box">
            <div class="thumb"><?php the_post_thumbnail(array('300','200')); ?></div>

        <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
          <p><?php the_excerpt(); ?></p>

            <div class="entry">   
 
                <p class="postmetadata">
                
               
                Written by <a href="profile.php?uid=<?php the_author_meta('ID', $author); ?>"><?php the_author(); ?></a> under  
                <?php the_category(', ') ?> with <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
                <?php edit_post_link('Edit', ' &#124; ', ''); ?>
                </p>
 
            </div>
        </div> <!--end post -->
        <?php endwhile; ?>
       
    <?php get_template_part('pagination'); ?>
         <?php wp_reset_query(); ?>
     </div> <!--end content-->   


<?php get_footer(); ?>
