<?php 
/* 
Template Name: Frontpage 4 Template
*/
?>
<?php get_header(); ?>
<?php get_template_part('navi'); ?>
<?php get_template_part('top-widgets'); ?>

<?php get_template_part('showcase'); ?>
<?php get_template_part('home-widgets'); ?>

<div id="content">
<p>This Front4 page lists 10 recent posts in every category like news pages. Modify whatever you want.</p>
<div class="fourcol">
<?php
            // get all the categories from the database
            $cats = get_categories();
 
                // loop through the categries
                foreach ($cats as $cat) {
                    // setup the cateogory ID
                    $cat_id= $cat->term_id;
                    // Make a header for the category
                    ?>
                    <div id="frontpage4-box">
                    <?php
                    echo "<h3>".$cat->name."</h3>";
                    // create a custom wordpress query
                    query_posts("cat=$cat_id&posts_per_page=10");
                    // start the wordpress loop!
                    if (have_posts()) : while (have_posts()) : the_post(); ?>
 
                        <?php // create our link now that the post is setup ?>
                       <p> <a href="<?php the_permalink();?>"><?php the_title(); ?></a><p>
                        
 						
                    <?php endwhile; endif; // done our wordpress loop. Will start again for each category ?>
                    </div>
                <?php } // done the foreach statement ?>
            </div> 

       
     <?php get_template_part('pagination'); ?>

         <?php wp_reset_query(); ?>
     </div> <!--end content-->   


<?php get_footer(); ?>
